=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2007-01-14 05:40:40 +0000
+++ loggerhead/controllers/__init__.py	2007-03-14 06:10:22 +0000
@@ -25,7 +25,7 @@
 
 import turbogears
 from turbogears import controllers
-from cherrypy import HTTPRedirect, NotFound
+from cherrypy import NotFound
 from configobj import ConfigObj
 
 from loggerhead import util

=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2007-01-21 00:05:52 +0000
+++ loggerhead/controllers/annotate_ui.py	2007-03-14 06:10:22 +0000
@@ -25,7 +25,7 @@
 import time
 
 import turbogears
-from cherrypy import HTTPRedirect, session
+from cherrypy import HTTPError, InternalError, session
 
 from loggerhead import util
 
@@ -60,14 +60,13 @@
         
         file_id = kw.get('file_id', None)
         if file_id is None:
-            raise HTTPRedirect(self._branch.url('/changes'))
+            raise HTTPError(400, 'No file_id provided to annotate')
 
         try:
             revid_list, revid = h.get_file_view(revid, file_id)
-        except Exception, x:
-            self.log.error('Exception fetching changes: %s' % (x,))
-            util.log_exception(self.log)
-            raise HTTPRedirect(self._branch.url('/changes'))
+        except:
+            self.log.exception('Exception fetching changes')
+            raise InternalError('Could not fetch changes')
             
         # no navbar for revisions
         navigation = util.Container()

=== modified file 'loggerhead/controllers/bundle_ui.py'
--- loggerhead/controllers/bundle_ui.py	2007-01-21 00:05:52 +0000
+++ loggerhead/controllers/bundle_ui.py	2007-03-14 06:10:22 +0000
@@ -20,7 +20,7 @@
 import time
 
 import turbogears
-from cherrypy import HTTPRedirect, response
+from cherrypy import HTTPRedirect, InternalError, response
 
 from loggerhead import util
 
@@ -48,10 +48,9 @@
 
         try:
             bundle_data = h.get_bundle(revid, compare_revid)
-        except Exception, x:
-            self.log.error('Exception fetching bundle: %s' % (x,))
-            util.log_exception(self.log)
-            raise HTTPRedirect(self._branch.url('/changes'))
+        except:
+            self.log.exception('Exception fetching bundle')
+            raise InternalError('Could not fetch bundle')
             
         response.headers['Content-Type'] = 'text/plain'
         response.headers['Content-Length'] = len(bundle_data)

=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2007-01-21 00:05:52 +0000
+++ loggerhead/controllers/changelog_ui.py	2007-03-14 06:10:22 +0000
@@ -21,13 +21,11 @@
 import time
 
 import turbogears
-from cherrypy import HTTPRedirect, session
+from cherrypy import InternalError, session
 
 from loggerhead import util
 
 
-
-
 class ChangeLogUI (object):
     
     def __init__(self, branch):
@@ -68,10 +66,9 @@
                 scan_list = revid_list[h.get_revid_sequence(revid_list, revid):]
             entry_list = scan_list[:pagesize]
             entries = h.get_changes(entry_list)
-        except Exception, x:
-            self.log.error('Exception fetching changes: %s' % (x,))
-            util.log_exception(self.log)
-            raise HTTPRedirect(self._branch.url('/changes'))
+        except:
+            self.log.exception('Exception fetching changes')
+            raise InternalError('Could not fetch changes')
 
         navigation = util.Container(pagesize=pagesize, revid=revid, start_revid=start_revid, revid_list=revid_list,
                                     file_id=file_id, scan_url='/changes', branch=self._branch, feed=True)

=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2007-01-21 00:05:52 +0000
+++ loggerhead/controllers/inventory_ui.py	2007-03-14 06:10:22 +0000
@@ -25,7 +25,7 @@
 import time
 
 import turbogears
-from cherrypy import HTTPRedirect, session
+from cherrypy import InternalError, session
 
 from loggerhead import util
 
@@ -65,10 +65,9 @@
             revid_list, revid = h.get_file_view(revid, file_id)
             rev = h.get_revision(revid)
             inv = h.get_inventory(revid)
-        except Exception, x:
-            self.log.error('Exception fetching changes: %s' % (x,))
-            util.log_exception(self.log)
-            raise HTTPRedirect(self._branch.url('/changes'))
+        except:
+            self.log.exception('Exception fetching changes')
+            raise InternalError('Could not fetch changes')
 
         # no navbar for revisions
         navigation = util.Container()

=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2007-01-21 00:05:52 +0000
+++ loggerhead/controllers/revision_ui.py	2007-03-14 06:10:22 +0000
@@ -24,7 +24,7 @@
 import time
 
 import turbogears
-from cherrypy import HTTPRedirect, session
+from cherrypy import InternalError, session
 
 from loggerhead import util
 
@@ -56,10 +56,9 @@
         
         try:
             revid, start_revid, revid_list = h.get_view(revid, start_revid, file_id, query)
-        except Exception, x:
-            self.log.error('Exception fetching changes: %s' % (x,))
-            util.log_exception(self.log)
-            raise HTTPRedirect(self._branch.url('/changes'))
+        except:
+            self.log.exception('Exception fetching changes')
+            raise InternalError('Could not fetch changes')
         
         navigation = util.Container(revid_list=revid_list, revid=revid, start_revid=start_revid, file_id=file_id,
                                     pagesize=1, scan_url='/revision', branch=self._branch, feed=True)

